--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_005_neg.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_005_neg.ksh	Wed Aug 31 16:20:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -76,7 +76,7 @@
 			fi
 		fi
 		for opt in $options; do
-			log_mustnot $ZFS destroy $opt $dtst
+			log_mustnot zfs destroy $opt $dtst
 		done
 	done
 }
@@ -101,8 +101,8 @@
 # an explanation of what 'correct' means for this test.
 #
 mntpt=$(get_prop mountpoint $FS)
-pidlist=$($MKBUSY $mntpt/$TESTFILE0)
-log_note "$MKBUSY $mntpt/$TESTFILE0 (pidlist: $pidlist)"
+pidlist=$(mkbusy $mntpt/$TESTFILE0)
+log_note "mkbusy $mntpt/$TESTFILE0 (pidlist: $pidlist)"
 [[ -z $pidlist ]] && log_fail "Failure from mkbusy"
 negative_test "-R -rR" $CTR
 
@@ -124,7 +124,7 @@
 	check_dataset datasetnonexists $VOLSNAP $VOLCLONE
 	check_dataset datasetexists $FSSNAP $FSCLONE
 else
-	log_must $ZFS list -rtall
+	log_must zfs list -rtall
 	log_fail "Unexpected datasets remaining"
 fi
 
@@ -138,8 +138,8 @@
 check_dataset datasetexists $CTR $FS $VOL $VOLSNAP $VOLCLONE
 check_dataset datasetnonexists $FSSNAP $FSCLONE
 
-log_must $KILL $pidlist
-log_mustnot $PGREP -fl $MKBUSY
+log_must kill $pidlist
+log_mustnot pgrep -fl mkbusy
 pidlist=""
 
 #
@@ -150,8 +150,8 @@
 #
 if is_global_zone; then
 	setup_testenv clone
-	pidlist=$($MKBUSY $TESTDIR1/$TESTFILE0)
-	log_note "$MKBUSY $TESTDIR1/$TESTFILE0 (pidlist: $pidlist)"
+	pidlist=$(mkbusy $TESTDIR1/$TESTFILE0)
+	log_note "mkbusy $TESTDIR1/$TESTFILE0 (pidlist: $pidlist)"
 	[[ -z $pidlist ]] && log_fail "Failure from mkbusy"
 	negative_test "-R -rR" $CTR
 	check_dataset datasetexists $CTR $VOL
@@ -181,8 +181,8 @@
 	check_dataset datasetnonexists $VOLSNAP $VOLCLONE
 fi
 
-log_must $KILL $pidlist
-log_mustnot $PGREP -fl $MKBUSY
+log_must kill $pidlist
+log_mustnot pgrep -fl mkbusy
 pidlist=""
 
 #
@@ -193,19 +193,19 @@
 #
 
 mntpt=$(snapshot_mountpoint $FSSNAP)
-pidlist=$($MKBUSY $mntpt)
-log_note "$MKBUSY $mntpt (pidlist: $pidlist)"
+pidlist=$(mkbusy $mntpt)
+log_note "mkbusy $mntpt (pidlist: $pidlist)"
 [[ -z $pidlist ]] && log_fail "Failure from mkbusy"
 
 for option in -R -rR ; do
 	setup_testenv clone
-	log_must $ZFS destroy $option $FSSNAP
+	log_must zfs destroy $option $FSSNAP
 	check_dataset datasetexists $CTR $FS $VOL
 	check_dataset datasetnonexists $FSSNAP $FSCLONE
 done
 
-log_must $KILL $pidlist
-log_mustnot $PGREP -fl $MKBUSY
+log_must kill $pidlist
+log_mustnot pgrep -fl mkbusy
 pidlist=""
 
 log_pass "zfs destroy -f|-r|-rf|-R|-rR <dataset>' failed in different " \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_006_neg.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_006_neg.ksh	Wed Aug 31 16:20:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -60,7 +60,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZFS destroy ${args[i]}
+	log_mustnot zfs destroy ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_007_neg.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_007_neg.ksh	Wed Aug 31 16:20:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,10 +49,10 @@
 function cleanup
 {
 	if datasetexists $clonesnap; then
-		log_must $ZFS promote $fs
+		log_must zfs promote $fs
 	fi
-	datasetexists $clone && log_must $ZFS destroy $clone
-	datasetexists $fssnap && log_must $ZFS destroy $fssnap
+	datasetexists $clone && log_must zfs destroy $clone
+	datasetexists $fssnap && log_must zfs destroy $fssnap
 }
 
 log_assert "Destroy dataset which is namespace-parent of origin should failed."
@@ -67,10 +67,10 @@
 # Define key word for expected failure.
 KEY_WORDS="filesystem has children"
 
-log_must $ZFS snapshot $fssnap
-log_must $ZFS clone $fssnap $clone
-log_must $ZFS promote $clone
-log_mustnot_expect "$KEY_WORDS" $ZFS destroy $fs
-log_mustnot_expect "$KEY_WORDS" $ZFS destroy $clone
+log_must zfs snapshot $fssnap
+log_must zfs clone $fssnap $clone
+log_must zfs promote $clone
+log_mustnot_expect "$KEY_WORDS" zfs destroy $fs
+log_mustnot_expect "$KEY_WORDS" zfs destroy $clone
 
 log_pass "Destroy dataset which is namespace-parent of origin passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_008_pos.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_008_pos.ksh	Wed Aug 31 16:20:33 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -44,7 +44,7 @@
 setup_testenv snap
 
 for snap in $FSSNAP $VOLSNAP; do
-    log_must $ZFS destroy -d $snap
+    log_must zfs destroy -d $snap
     log_mustnot datasetexists $snap
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_009_pos.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_009_pos.ksh	Wed Aug 31 16:20:33 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,10 +49,10 @@
 for dstype in FS VOL; do
     snap=$(eval echo \$${dstype}SNAP)
     clone=$(eval echo \$${dstype}CLONE)
-    log_must $ZFS destroy -d $snap
+    log_must zfs destroy -d $snap
     log_must datasetexists $snap
     log_must eval "[[ $(get_prop defer_destroy $snap) == 'on' ]]"
-    log_must $ZFS destroy $clone
+    log_must zfs destroy $clone
     log_mustnot datasetexists $snap
     log_mustnot datasetexists $clone
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_010_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_010_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,15 +49,15 @@
 log_onexit cleanup_testenv
 
 setup_testenv clone
-log_must $UMOUNT -f $TESTDIR1
+log_must umount -f $TESTDIR1
 
 for dstype in FS VOL; do
     ds=$(eval echo \$${dstype})
     snap=$(eval echo \$${dstype}SNAP)
     clone=$(eval echo \$${dstype}CLONE)
-    log_must $ZFS destroy -d $snap
+    log_must zfs destroy -d $snap
     log_must datasetexists $snap
-    log_must $ZFS destroy -R $ds
+    log_must zfs destroy -R $ds
     log_mustnot datasetexists $snap
     log_mustnot datasetexists $clone
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_011_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_011_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -11,7 +11,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -39,11 +39,11 @@
 
 for dstype in FS VOL; do
     snap=$(eval echo \$${dstype}SNAP)
-    log_must $ZFS hold zfstest $snap
-    log_must $ZFS destroy -d $snap
+    log_must zfs hold zfstest $snap
+    log_must zfs destroy -d $snap
     log_must datasetexists $snap
     log_must eval "[[ $(get_prop defer_destroy $snap) == 'on' ]]"
-    log_must $ZFS release zfstest $snap
+    log_must zfs release zfstest $snap
     log_mustnot datasetexists $snap
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_012_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_012_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -11,7 +11,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -39,23 +39,23 @@
 
 for dstype in FS VOL; do
     snap=$(eval echo \$${dstype}SNAP)
-    log_must $ZFS hold zfstest1 $snap
-    log_must $ZFS destroy -d $snap
+    log_must zfs hold zfstest1 $snap
+    log_must zfs destroy -d $snap
     log_must datasetexists $snap
     log_must eval "[[ $(get_prop defer_destroy $snap) == 'on' ]]"
 
-    log_must $ZFS hold zfstest2 $snap
-    log_mustnot $ZFS hold zfstest1 $snap
-    log_mustnot $ZFS hold zfstest2 $snap
+    log_must zfs hold zfstest2 $snap
+    log_mustnot zfs hold zfstest1 $snap
+    log_mustnot zfs hold zfstest2 $snap
 
-    log_must $ZFS release zfstest1 $snap
+    log_must zfs release zfstest1 $snap
     log_must datasetexists $snap
-    log_mustnot $ZFS release zfstest1 $snap
+    log_mustnot zfs release zfstest1 $snap
     log_must datasetexists $snap
-    log_mustnot $ZFS release zfstest3 $snap
+    log_mustnot zfs release zfstest3 $snap
     log_must datasetexists $snap
 
-    log_must $ZFS release zfstest2 $snap
+    log_must zfs release zfstest2 $snap
     log_mustnot datasetexists $snap
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_013_neg.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_013_neg.ksh	Wed Aug 31 16:20:34 2016
@@ -11,7 +11,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -38,11 +38,11 @@
 
 for dstype in FS VOL; do
     snap=$(eval echo \$${dstype}SNAP)
-    log_must $ZFS hold zfstest $snap
-    log_mustnot $ZFS destroy $snap
+    log_must zfs hold zfstest $snap
+    log_mustnot zfs destroy $snap
     log_must datasetexists $snap
-    log_must $ZFS release zfstest $snap
-    log_must $ZFS destroy $snap
+    log_must zfs release zfstest $snap
+    log_must zfs destroy $snap
     log_mustnot datasetexists $snap
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_014_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_014_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -15,7 +15,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,12 +45,12 @@
 function cleanup
 {
 	for ds in $datasets; do
-		datasetexists $ds && $ZFS destroy -rf $ds
+		datasetexists $ds && zfs destroy -rf $ds
 	done
 }
 
 # create nested datasets
-log_must $ZFS create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
+log_must zfs create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
 
 # verify dataset creation
 for ds in $datasets; do
@@ -58,13 +58,13 @@
 done
 
 # create recursive nestedd snapshot
-log_must $ZFS snapshot -r $TESTPOOL/$TESTFS1@snap
+log_must zfs snapshot -r $TESTPOOL/$TESTFS1@snap
 for ds in $datasets; do
 	datasetexists $ds@snap || log_fail "Create $ds@snap snapshot fail."
 done
 
 # destroy nested snapshot recursively
-log_must $ZFS destroy -R $TESTPOOL/$TESTFS1@snap
+log_must zfs destroy -R $TESTPOOL/$TESTFS1@snap
 
 # verify snapshot destroy
 for ds in $datasets; do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_015_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_015_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -11,7 +11,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 # DESCRIPTION
@@ -30,37 +30,37 @@
 
 function cleanup
 {
-	datasetexists $TESTPOOL/$TESTFS1 && $ZFS destroy -R $TESTPOOL/$TESTFS1
-	datasetexists $TESTPOOL/$TESTFS2 && $ZFS destroy -R $TESTPOOL/$TESTFS2
-	poolexists $TESTPOOL2 && $ZPOOL destroy $TESTPOOL2
-	$RM -rf $VIRTUAL_DISK
+	datasetexists $TESTPOOL/$TESTFS1 && zfs destroy -R $TESTPOOL/$TESTFS1
+	datasetexists $TESTPOOL/$TESTFS2 && zfs destroy -R $TESTPOOL/$TESTFS2
+	poolexists $TESTPOOL2 && zpool destroy $TESTPOOL2
+	rm -rf $VIRTUAL_DISK
 }
 
 log_assert "zfs destroy for multiple snapshot is handled correctly"
 log_onexit cleanup
 
-$ZFS create $TESTPOOL/$TESTFS1
+zfs create $TESTPOOL/$TESTFS1
 typeset -i i=1
 snaplist=""
 log_note "zfs destroy on valid snapshot names"
 for i in 1 2 3 4 5; do
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
 	snaplist=$snaplist,snap$i
 done
 snaplist=${snaplist#,}
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@$snaplist
+log_must zfs destroy $TESTPOOL/$TESTFS1@$snaplist
 for i in 1 2 3 4 5; do
 	log_mustnot snapexists $TESTPOOL/$TESFS1@snap$i
 done
 
 log_note "zfs destroy with all bogus snapshot names"
-log_mustnot $ZFS destroy $TESTPOOL/$TESTFS1@snap12,snap21,sna@pple1@,s""nappy2
+log_mustnot zfs destroy $TESTPOOL/$TESTFS1@snap12,snap21,sna@pple1@,s""nappy2
 
 log_note "zfs destroy with some bogus snapshot names"
 for i in 1 2 3; do
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
 done
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap1,snap2,snapple1,snappy2,snap3
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap1,snap2,snapple1,snappy2,snap3
 for i in 1 2 3; do
 	log_mustnot snapexists $TESTPOOL/$TESTFS1@snap$i
 done
@@ -67,9 +67,9 @@
 
 log_note "zfs destroy with some snapshot names having special characters"
 for i in 1 2 3; do
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
 done
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap1,@,snap2,,,,snap3,
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap1,@,snap2,,,,snap3,
 for i in 1 2 3; do
 	log_mustnot snapexists $TESTPOOL/$TESTFS1@snap$i
 done
@@ -76,11 +76,11 @@
 log_note "zfs destroy for too many snapshots"
 snaplist=""
 for i in {1..100}; do
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
 	snaplist=$snaplist,snap$i
 done
 snaplist=${snaplist#,}
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@$snaplist
+log_must zfs destroy $TESTPOOL/$TESTFS1@$snaplist
 for i in {1..100}; do
 	log_mustnot snapexists $TESTPOOL/$TESTFS1@snap$i
 done
@@ -87,52 +87,52 @@
 log_note "zfs destroy multiple snapshots with hold"
 snaplist=""
 for i in 1 2 3 4 5; do
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
-	log_must $ZFS hold keep $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs hold keep $TESTPOOL/$TESTFS1@snap$i
 	snaplist=$snaplist,snap$i
 done
 snaplist=${snaplist#,}
-log_mustnot $ZFS destroy $TESTPOOL/$TESTFS1@$snaplist
+log_mustnot zfs destroy $TESTPOOL/$TESTFS1@$snaplist
 for i in 1 2 3 4 5; do
-	log_must $ZFS release keep $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs release keep $TESTPOOL/$TESTFS1@snap$i
 done
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@$snaplist
+log_must zfs destroy $TESTPOOL/$TESTFS1@$snaplist
 
 log_note "zfs destroy for multiple snapshots having clones"
 for i in 1 2 3 4 5; do
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
 done
 snaplist=""
 for i in 1 2 3 4 5; do
-	log_must $ZFS clone $TESTPOOL/$TESTFS1@snap$i $TESTPOOL/$TESTFS1/clone$i
+	log_must zfs clone $TESTPOOL/$TESTFS1@snap$i $TESTPOOL/$TESTFS1/clone$i
 	snaplist=$snaplist,snap$i
 done
 snaplist=${snaplist#,}
-log_mustnot $ZFS destroy $TESTPOOL/$TESTFS1@$snaplist
+log_mustnot zfs destroy $TESTPOOL/$TESTFS1@$snaplist
 for i in 1 2 3 4 5; do
 	log_must snapexists $TESTPOOL/$TESTFS1@snap$i
-	log_must $ZFS destroy $TESTPOOL/$TESTFS1/clone$i
+	log_must zfs destroy $TESTPOOL/$TESTFS1/clone$i
 done
 
 log_note "zfs destroy for snapshots for different datasets"
-log_must $ZFS create $TESTPOOL/$TESTFS2
-log_must $ZFS snapshot $TESTPOOL/$TESTFS2@fs2snap
-log_must $ZFS create $TESTPOOL/$TESTFS1/$TESTFS2
-log_must $ZFS snapshot $TESTPOOL/$TESTFS1/$TESTFS2@fs12snap
+log_must zfs create $TESTPOOL/$TESTFS2
+log_must zfs snapshot $TESTPOOL/$TESTFS2@fs2snap
+log_must zfs create $TESTPOOL/$TESTFS1/$TESTFS2
+log_must zfs snapshot $TESTPOOL/$TESTFS1/$TESTFS2@fs12snap
 
 long_arg=$TESTPOOL/$TESTFS1@snap1,$TESTPOOL/$TESTFS2@fs2snap,
 long_arg=$long_arg$TESTPOOL/$TESTFS1/$TESTFS2@fs12snap
-log_must $ZFS destroy $long_arg
+log_must zfs destroy $long_arg
 log_mustnot snapexists $TESTPOOL/$TESTFS1@snap1
 log_must snapexists $TESTPOOL/$TESTFS2@fs2snap
 log_must snapexists $TESTPOOL/$TESTFS1/$TESTFS2@fs12snap
 
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@fs2snap,fs12snap,snap2
+log_must zfs destroy $TESTPOOL/$TESTFS1@fs2snap,fs12snap,snap2
 log_must snapexists $TESTPOOL/$TESTFS2@fs2snap
 log_must snapexists $TESTPOOL/$TESTFS1/$TESTFS2@fs12snap
 log_mustnot snapexists $TESTPOOL/$TESTFS1@snap2
 
-log_must $ZFS destroy $TESTPOOL/$TESTFS2@fs2snap,fs12snap,snap3
+log_must zfs destroy $TESTPOOL/$TESTFS2@fs2snap,fs12snap,snap3
 log_mustnot snapexists $TESTPOOL/$TESTFS2@fs2snap
 log_must snapexists $TESTPOOL/$TESTFS1/$TESTFS2@fs12snap
 log_must snapexists $TESTPOOL/$TESTFS1@snap3
@@ -140,20 +140,20 @@
 log_note "zfs destroy for snapshots from different pools"
 VIRTUAL_DISK=/var/tmp/disk
 log_must mkfile $MINVDEVSIZE $VIRTUAL_DISK
-log_must $ZPOOL create $TESTPOOL2 $VIRTUAL_DISK
+log_must zpool create $TESTPOOL2 $VIRTUAL_DISK
 log_must poolexists $TESTPOOL2
 
-log_must $ZFS create $TESTPOOL2/$TESTFS1
-log_must $ZFS snapshot $TESTPOOL2/$TESTFS1@snap
+log_must zfs create $TESTPOOL2/$TESTFS1
+log_must zfs snapshot $TESTPOOL2/$TESTFS1@snap
 long_arg=$TESTPOOL2/$TESTFS1@snap,$TESTPOOL/$TESTFS1@snap3,
 long_arg=$long_arg$TESTPOOL/$TESTFS1@snap5
-log_must $ZFS destroy $long_arg
+log_must zfs destroy $long_arg
 log_mustnot snapexists $TESTPOOL2/$TESTFS1@snap
 log_must snapexists $TESTPOOL/$TESTFS1@snap3
 log_must snapexists $TESTPOOL/$TESTFS1@snap5
 
-log_must $ZFS snapshot $TESTPOOL2/$TESTFS1@snap
-log_must $ZFS destroy $TESTPOOL2/$TESTFS1@snap5,snap3,snap
+log_must zfs snapshot $TESTPOOL2/$TESTFS1@snap
+log_must zfs destroy $TESTPOOL2/$TESTFS1@snap5,snap3,snap
 log_mustnot snapexists $TESTPOOL2/$TESTFS1@snap
 log_must snapexists $TESTPOOL/$TESTFS1@snap3
 log_must snapexists $TESTPOOL/$TESTFS1@snap5
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_016_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_016_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -11,7 +11,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 # DESCRIPTION
@@ -30,9 +30,9 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTFS1 && \
-	    log_must $ZFS destroy -R $TESTPOOL/$TESTFS1
+	    log_must zfs destroy -R $TESTPOOL/$TESTFS1
 	datasetexists $TESTPOOL/$TESTVOL && \
-	    log_must $ZFS destroy -Rf $TESTPOOL/$TESTVOL
+	    log_must zfs destroy -Rf $TESTPOOL/$TESTVOL
 }
 
 function setup_snapshots
@@ -39,11 +39,11 @@
 {
 	for i in $snaps; do
 		datasetexists $TESTPOOL/$TESTFS1@snap$i && \
-		    log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap$i
+		    log_must zfs destroy $TESTPOOL/$TESTFS1@snap$i
 		datasetexists $TESTPOOL/$TESTVOL@snap$i && \
-		    log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap$i
-		log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
-		log_must $ZFS snapshot $TESTPOOL/$TESTVOL@snap$i
+		    log_must zfs destroy $TESTPOOL/$TESTVOL@snap$i
+		log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
+		log_must zfs snapshot $TESTPOOL/$TESTVOL@snap$i
 	done
 }
 
@@ -78,15 +78,15 @@
 log_assert "zfs destroy deletes ranges of snapshots"
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS1
-log_must $ZFS create -V $VOLSIZE $TESTPOOL/$TESTVOL
+log_must zfs create $TESTPOOL/$TESTFS1
+log_must zfs create -V $VOLSIZE $TESTPOOL/$TESTVOL
 snaps="1 2 3 4 5"
 log_note "Verify the valid arguments"
 range="1 2 3 4 5"
 for args in $valid_args; do
 	setup_snapshots
-	log_must $ZFS destroy $TESTPOOL/$TESTFS1$args
-	log_must $ZFS destroy $TESTPOOL/$TESTVOL$args
+	log_must zfs destroy $TESTPOOL/$TESTFS1$args
+	log_must zfs destroy $TESTPOOL/$TESTVOL$args
 	verify_snapshots
 done
 
@@ -93,15 +93,15 @@
 log_note "Verify invalid arguements"
 setup_snapshots
 for args in $invalid_args; do
-	log_mustnot $ZFS destroy $TESTPOOL/$TESTFS1$args
-	log_mustnot $ZFS destroy $TESTPOOL/$TESTVOL$args
+	log_mustnot zfs destroy $TESTPOOL/$TESTFS1$args
+	log_mustnot zfs destroy $TESTPOOL/$TESTVOL$args
 	log_must verify_snapshots 1
 done
 
 log_note "Destroy the begining range"
 
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@%snap3
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@%snap3
+log_must zfs destroy $TESTPOOL/$TESTFS1@%snap3
+log_must zfs destroy $TESTPOOL/$TESTVOL@%snap3
 range="1 2 3"
 verify_snapshots
 range="4 5"
@@ -109,19 +109,19 @@
 
 setup_snapshots
 log_note "Destroy the mid range"
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap2%snap4
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap2%snap4
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap2%snap4
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap2%snap4
 range="2 3 4"
 verify_snapshots
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap1%snap5
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap1%snap5
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap1%snap5
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap1%snap5
 range="1 5"
 verify_snapshots
 
 setup_snapshots
 log_note "Destroy the end range"
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap3%
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap3%
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap3%
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap3%
 range="1 2"
 verify_snapshots 1
 range="3 4 5"
@@ -129,8 +129,8 @@
 
 setup_snapshots
 log_note "Destroy a simple list"
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap2,snap4
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap2,snap4
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap2,snap4
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap2,snap4
 range="2 4"
 verify_snapshots
 range="1 3 5"
@@ -138,8 +138,8 @@
 
 setup_snapshots
 log_note "Destroy a list and range together"
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap1%snap3,snap5
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap1%snap3,snap5
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap1%snap3,snap5
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap1%snap3,snap5
 range="1 2 3 5"
 verify_snapshots
 range=4
@@ -148,8 +148,8 @@
 snaps="1 2 3 5 6 7 8 9 10"
 setup_snapshots
 log_note "Destroy a list of ranges"
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap1%snap3,snap5
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap1%snap3,snap5
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap1%snap3,snap5
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap1%snap3,snap5
 range="1 2 3 5"
 verify_snapshots
 range=4
@@ -160,27 +160,27 @@
 log_note "Snapshot destory with hold"
 range="1 2 3 4 5"
 for i in 1 2 3 4 5; do
-	log_must $ZFS hold keep $TESTPOOL/$TESTFS1@snap$i
-	log_must $ZFS hold keep $TESTPOOL/$TESTVOL@snap$i
+	log_must zfs hold keep $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs hold keep $TESTPOOL/$TESTVOL@snap$i
 done
-log_mustnot $ZFS destroy $TESTPOOL/$TESTFS1@snap1%snap5
-log_mustnot $ZFS destroy $TESTPOOL/$TESTVOL@snap1%snap5
+log_mustnot zfs destroy $TESTPOOL/$TESTFS1@snap1%snap5
+log_mustnot zfs destroy $TESTPOOL/$TESTVOL@snap1%snap5
 verify_snapshots 1
 for i in 1 2 3 4 5; do
-	log_must $ZFS release keep $TESTPOOL/$TESTFS1@snap$i
-	log_must $ZFS release keep $TESTPOOL/$TESTVOL@snap$i
+	log_must zfs release keep $TESTPOOL/$TESTFS1@snap$i
+	log_must zfs release keep $TESTPOOL/$TESTVOL@snap$i
 done
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap1%snap5
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap1%snap5
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap1%snap5
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap1%snap5
 verify_snapshots
 
 log_note "Range destroy for snapshots having clones"
 setup_snapshots
 for i in 1 2 3 4 5; do
-	log_must $ZFS clone $TESTPOOL/$TESTFS1@snap$i $TESTPOOL/$TESTFS1/clone$i
+	log_must zfs clone $TESTPOOL/$TESTFS1@snap$i $TESTPOOL/$TESTFS1/clone$i
 done
-log_must $ZFS destroy -R $TESTPOOL/$TESTFS1@snap1%snap5
-log_must $ZFS destroy $TESTPOOL/$TESTVOL@snap1%snap5
+log_must zfs destroy -R $TESTPOOL/$TESTFS1@snap1%snap5
+log_must zfs destroy $TESTPOOL/$TESTVOL@snap1%snap5
 verify_snapshots
 
 log_pass "'zfs destroy' successfully destroys ranges of snapshots"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_common.kshlib	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_common.kshlib	Wed Aug 31 16:20:34 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,43 +51,43 @@
 	typeset dtst=$1
 
 	if ! datasetexists $CTR; then
-		log_must $ZFS create $CTR
+		log_must zfs create $CTR
 	fi
 	if ! datasetexists $FS; then
-		log_must $ZFS create $FS
+		log_must zfs create $FS
 	fi
 	# Volume test is only availible on globle zone
 	if ! datasetexists $VOL && is_global_zone; then
-		log_must $ZFS create -V $VOLSIZE $VOL
+		log_must zfs create -V $VOLSIZE $VOL
 
-		$ECHO "y" | $NEWFS /dev/zvol/dsk/$VOL > /dev/null 2>&1
+		echo "y" | newfs /dev/zvol/dsk/$VOL > /dev/null 2>&1
 		if (( $? == 0 )); then
-			log_note "SUCCESS: $NEWFS /dev/zvol/dsk/$VOL>/dev/null"
+			log_note "SUCCESS: newfs /dev/zvol/dsk/$VOL>/dev/null"
 		else
-			log_fail "$NEWFS /dev/zvol/dsk/$VOL > /dev/null"
+			log_fail "newfs /dev/zvol/dsk/$VOL > /dev/null"
 		fi
 
 		if [[ ! -d $TESTDIR1 ]]; then
-			log_must $MKDIR $TESTDIR1
+			log_must mkdir $TESTDIR1
 		fi
-		log_must $MOUNT /dev/zvol/dsk/$VOL $TESTDIR1
+		log_must mount /dev/zvol/dsk/$VOL $TESTDIR1
 	fi
 
 	if [[ $dtst == snap || $dtst == clone ]]; then
 		if ! datasetexists $FSSNAP; then
-			log_must $ZFS snapshot $FSSNAP
+			log_must zfs snapshot $FSSNAP
 		fi
 		if ! datasetexists $VOLSNAP && is_global_zone; then
-			log_must $ZFS snapshot $VOLSNAP
+			log_must zfs snapshot $VOLSNAP
 		fi
 	fi
 
 	if [[ $dtst == clone ]]; then
 		if ! datasetexists $FSCLONE; then
-			log_must $ZFS clone $FSSNAP $FSCLONE
+			log_must zfs clone $FSSNAP $FSCLONE
 		fi
 		if ! datasetexists $VOLCLONE && is_global_zone; then
-			log_must $ZFS clone $VOLSNAP $VOLCLONE
+			log_must zfs clone $VOLSNAP $VOLCLONE
 		fi
 	fi
 }
@@ -97,16 +97,16 @@
 function cleanup_testenv
 {
 	if is_global_zone && ismounted "$TESTDIR1" "ufs" ; then
-		log_must $UMOUNT -f $TESTDIR1
+		log_must umount -f $TESTDIR1
 	fi
 	if [[ -d $TESTDIR1 ]]; then
-		log_must $RM -rf $TESTDIR1
+		log_must rm -rf $TESTDIR1
 	fi
 
-	$PKILL $MKBUSY
+	pkill mkbusy
 
 	if datasetexists $CTR; then
-		log_must $ZFS destroy -Rf $CTR
+		log_must zfs destroy -Rf $CTR
 	fi
 }
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_001_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_001_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib
 
@@ -86,7 +90,7 @@
 
 		while read line; do
 			typeset item
-			item=$($ECHO $line | $AWK '{print $2}' 2>&1)
+			item=$(echo $line | awk '{print $2}' 2>&1)
 
 			if [[ $item == $p ]]; then
 				((found += 1))
@@ -100,7 +104,7 @@
 		fi
 	done
 
-	log_note "SUCCESS: '$ZFS get $opt $prop $dst'."
+	log_note "SUCCESS: 'zfs get $opt $prop $dst'."
 }
 
 log_assert "Setting the valid options and properties 'zfs get' should return " \
@@ -115,11 +119,11 @@
 while ((i < ${#dataset[@]})); do
 	for opt in "${options[@]}"; do
 		for prop in ${all_props[@]}; do
-			eval "$ZFS get $opt $prop ${dataset[i]} > \
+			eval "zfs get $opt $prop ${dataset[i]} > \
 			    $TESTDIR/$TESTFILE0"
 			ret=$?
 			if [[ $ret != 0 ]]; then
-				log_fail "$ZFS get returned: $ret"
+				log_fail "zfs get returned: $ret"
 			fi
 			check_return_value ${dataset[i]} "$prop" "$opt"
 		done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_002_pos.ksh	Wed Aug 31 16:20:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_002_pos.ksh	Wed Aug 31 16:20:34 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 
 #
@@ -75,10 +79,10 @@
 	for opt in "" $(gen_option_str "${options[*]}" "-" "" $opt_numb); do
 		for prop in $(gen_option_str "${props[*]}" "" "," $prop_numb)
 		do
-			$ZFS get $opt $prop $dst > /dev/null 2>&1
+			zfs get $opt $prop $dst > /dev/null 2>&1
 			ret=$?
 			if [[ $ret != 0 ]]; then
-				log_fail "$ZFS get $opt $prop $dst (Code: $ret)"
+				log_fail "zfs get $opt $prop $dst (Code: $ret)"
 			fi
 		done
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_003_pos.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_003_pos.ksh	Wed Aug 31 16:20:35 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -42,18 +46,18 @@
 
 function cleanup
 {
-	log_must $ZFS mount -o remount,atime $TESTPOOL/$TESTFS
+	log_must zfs mount -o remount,atime $TESTPOOL/$TESTFS
 }
 
 log_assert "'zfs get' should get consistent report with different option."
 log_onexit cleanup
 
-log_must $ZFS set atime=on $TESTPOOL/$TESTFS
-log_must $ZFS mount -o remount,noatime $TESTPOOL/$TESTFS
+log_must zfs set atime=on $TESTPOOL/$TESTFS
+log_must zfs mount -o remount,noatime $TESTPOOL/$TESTFS
 
-value1=$($ZFS get -H atime $TESTPOOL/$TESTFS | $AWK '{print $3}')
-value2=$($ZFS get -H all $TESTPOOL/$TESTFS | $AWK '{print $2 " " $3}' | \
-	$GREP ^atime | $AWK '{print $2}')
+value1=$(zfs get -H atime $TESTPOOL/$TESTFS | awk '{print $3}')
+value2=$(zfs get -H all $TESTPOOL/$TESTFS | awk '{print $2 " " $3}' | \
+	grep ^atime | awk '{print $2}')
 if [[ $value1 != $value2 ]]; then
 	log_fail "value1($value1) != value2($value2)"
 fi
